RTC_MODE0_CTRLA_Type Union Reference

## Data Fields

struct {
uint16_t SWRST:1
uint16_t ENABLE:1
uint16_t MODE:2
uint16_t __pad0__:3
uint16_t MATCHCLR:1
uint16_t PRESCALER:4
uint16_t __pad1__:1
uint16_t BKTRST:1
uint16_t GPTRST:1
uint16_t COUNTSYNC:1
} | bit
uint16_t | reg

## Detailed Description

Definition at line 44 of file rtc.h.

## Field Documentation

## __pad0__

uint16_t RTC_MODE0_CTRLA_Type::__pad0__

bit: 4.. 6 Reserved

Definition at line 49 of file rtc.h.

## __pad1__

uint16_t RTC_MODE0_CTRLA_Type::__pad1__

bit: 12 Reserved

Definition at line 52 of file rtc.h.

## bit

struct { ... } RTC_MODE0_CTRLA_Type::bit

Structure used for bit access

## BKTRST

uint16_t RTC_MODE0_CTRLA_Type::BKTRST

bit: 13 BKUP Registers Reset On Tamper Enable

Definition at line 53 of file rtc.h.

## COUNTSYNC

uint16_t RTC_MODE0_CTRLA_Type::COUNTSYNC

bit: 15 Count Read Synchronization Enable

Definition at line 55 of file rtc.h.

## ENABLE

uint16_t RTC_MODE0_CTRLA_Type::ENABLE

bit: 1 Enable

Definition at line 47 of file rtc.h.

## GPTRST

uint16_t RTC_MODE0_CTRLA_Type::GPTRST

bit: 14 GP Registers Reset On Tamper Enable

Definition at line 54 of file rtc.h.

## MATCHCLR

uint16_t RTC_MODE0_CTRLA_Type::MATCHCLR

bit: 7 Clear on Match

Definition at line 50 of file rtc.h.

## MODE

uint16_t RTC_MODE0_CTRLA_Type::MODE

bit: 2.. 3 Operating Mode

Definition at line 48 of file rtc.h.

## PRESCALER

uint16_t RTC_MODE0_CTRLA_Type::PRESCALER

bit: 8..11 Prescaler

Definition at line 51 of file rtc.h.

## reg

uint16_t RTC_MODE0_CTRLA_Type::reg

Type used for register access

Definition at line 57 of file rtc.h.

## SWRST

uint16_t RTC_MODE0_CTRLA_Type::SWRST

bit: 0 Software Reset

Definition at line 46 of file rtc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/rtc.h